Generate spec from collection

View as Markdown
Generates an OpenAPI 2.0, 3.0, or 3.1 specification for the given collection. The response contains a polling link to the task status.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

collectionUidstringRequiredformat: "uid"
The collection's unique ID.
elementTypeenumRequired

The spec value.

Allowed values:

Request

This endpoint expects an object.
namestringRequired
The API specification's name.
typeenumOptional
The specification's type.
formatenumOptional
The format of the API specification.

Response

Successful Response
taskIdstring
The created task ID. You can use this ID to track the status of the task.
urlstring
The URL to get or poll the status of a generated spec task.

Errors

403
Forbidden Error
404
Not Found Error
423
Locked Error